import QtQuick 1.1
import com.nokia.meego 1.0
import "utilities.js" as Util
import "file:///usr/lib/qt4/imports/com/nokia/meego/UIConstants.js" as UI

Dialog {
    id: root
    property string manifest
    platformStyle: QueryDialogStyle {}
    width: 480
    height: 820
    function reload() {
        xmlModel.reload()
    }
    title: Item {
        id: titleField
        width: parent.width
        height: 64
        Text {
            color: "white"
            font.pixelSize: 25
            anchors.centerIn: parent
            text: "Requested credentials"
        }
        MouseArea {
            anchors.fill: parent
        }
    }
    content: Item {
        id: queryContent
        height: root.height - buttonColFiller.height - titleField.height
        width: root.width

        ListView {
            id: queryFlickable
            anchors.left: parent.left
            anchors.leftMargin: 6
            anchors.right: parent.right
            anchors.rightMargin: 6
            anchors.top: parent.top
            anchors.bottom: parent.bottom

            clip: true

            model: xmlModel

            delegate: aegisDelegate
        }

        XmlListModel {
            id: xmlModel
            xml: root.manifest
            query: "/aegis/request/credential"

            XmlRole { name: "title"; query: "@name/string()" }
            XmlRole { name: "match"; query: "@match/string()" }
        }

        Component {
            id: aegisDelegate
            Item {
                width: parent.width
                height: 40

                Text {
                    font.pixelSize: 22
                    color: "white"
                    text: title ? title : match
                    anchors.verticalCenter: parent.verticalCenter
                }
            }
        }

        ScrollDecorator {
            id: scrollDecorator
            flickableItem: queryFlickable
            anchors.rightMargin: - UI.SCROLLDECORATOR_LONG_MARGIN - 10 //ToDo: Don't use a hard-coded gap
        }
    }
    buttons: Item {
        id: buttonColFiller
        width: parent.width
        height: buttonCol.height + 40

        anchors.bottom: parent.bottom

        Item {id: dummy; anchors.fill:  parent}

        MyButton {
            id: buttonCol
            anchors.top: parent.top
            width: 400
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Ok"
            onClicked: root.accept()
            __dialogButton: true
            platformStyle: MyButtonStyle {inverted: true}
            checked: true
        }
    }
}
