import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0

PageStackWindow {
    id: appWindow

    initialPage: mainPage

    MainPage {
        id: mainPage
    }

    ReadConsole {
        id: readConsole
    }

    MainDialog {
        id: mainDialog
        onRejected: Qt.quit()
        onInstall: {
            mainDialog.accept()
            switch (value) {
            case 0: {
                Pkgmgr.installFileUi(pathtodeb)
                Qt.quit()
                break;
            }
            case 1: {
                Pkgmgr.killall()
                pageStack.replace(readConsole)
                readConsole.start("/usr/bin/dpkg", ["-i", pathtodeb], trusted)
                break;
            }
            case 2: {
                Pkgmgr.killall()
                pageStack.replace(readConsole)
                readConsole.start("/usr/bin/gdebi", ["-n", pathtodeb], trusted)
                break;
            }
            }
        }
        onShowManifest: {
            manifestDialog.open()
        }

        ManifestDialog {
            id: manifestDialog
        }
    }

    Component.onCompleted: {
        theme.inverted = true
        screen.allowedOrientations = Screen.Portrait
        console.log("path: " + pathtodeb)
        var control = ReadControl.parseControl(pathtodeb)
        mainDialog.packageJson = JSON.parse(control)
        mainDialog.open()
        manifestDialog.manifest = ReadManifest.getManifest(pathtodeb)
    }
}
