import com.nokia.meego 1.0
import QtQuick 1.1

Dialog {
    id: root
    __fadeInDelay: 0
    __fadeInDuration: 300
    __fadeOutDelay: 0
    __fadeOutDuration: 300
    __dim: 0.9
    width: 440
    visible: mainItem.visible
    property alias titleText: titleLabel.text
    property string color
    function changeColor() {
        var red = redSlider.value.toString(16)
        while (red.length < 2)
            red = "0" + red
        var green = greenSlider.value.toString(16)
        while (green.length < 2)
            green = "0" + green
        var blue = blueSlider.value.toString(16)
        while (blue.length < 2)
            blue = "0" + blue
        root.color = "#" + red + green + blue
        setColorManual.text = root.color
    }
    title: Item {
        height: 80
        width: parent.width
        Text {
            id: titleLabel
            text: "Select color"
            color: "white"
            font.pixelSize: 32
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 6
        }
        Rectangle {
            width: parent.width
            height: 1
            anchors.top: titleLabel.bottom
            anchors.topMargin: 5
            color: "gray"
        }
    }
    content: Column {
        id: items
        width: parent.width
        spacing: 10

        LabeledSlider {
            id: redSlider
            width: parent.width
            text: "R:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color11-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            value: parseInt(root.color.substr(1,2), 16)
            onValueChanged: {
                if (root.status == DialogStatus.Open && !inputContext.customSoftwareInputPanelVisible)
                    changeColor()
            }
        }

        LabeledSlider {
            id: greenSlider
            width: parent.width
            text: "G:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color3-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            value: parseInt(root.color.substr(3,2), 16)
            onValueChanged: {
                if (root.status == DialogStatus.Open && !inputContext.customSoftwareInputPanelVisible)
                    changeColor()
            }
        }

        LabeledSlider {
            id: blueSlider
            width: parent.width
            text: "B:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color8-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            value: parseInt(root.color.substr(5,2), 16)
            onValueChanged: {
                if (root.status == DialogStatus.Open && !inputContext.customSoftwareInputPanelVisible)
                    changeColor()
            }
        }

        Rectangle {
            id: colorArea
            width: parent.width
            height: 40
            smooth: true
            color: root.color
        }

        TextField {
            id: setColorManual
            width: parent.width
            text: root.color
            Keys.onReturnPressed: {
                if (/^#[0-9A-F]{6}$/i.test(text)) {
                    root.color = text
                    text = root.color
                    platformCloseSoftwareInputPanel()
                }
            }
        }

        Item {
            height: 20
            width: 1
        }
    }
    buttons: Button {
        width: parent.width
        text: "Done"
        onClicked: root.accept()
    }
}