import com.nokia.meego 1.0
import QtQuick 1.1
import org.coderus.GConf 1.0

Column {
    id: root
    property string _DISPLAY_PERCENTAGE: "/desktop/meego/status_area/display_percentage"
    property string _DISPLAY_NETWORK: "/desktop/meego/status_area/display_network_name"
    property string _DISPLAY_PERCENTAGE_LINE: "/desktop/meego/status_area/display_percentage_line"
    property string _LINE_LEVEL_1: "/desktop/meego/status_area/percentage_line_level_1"
    property string _LINE_LEVEL_2: "/desktop/meego/status_area/percentage_line_level_2"
    property string _LINE_RED: "/desktop/meego/status_area/red_percentage_line"
    property string _LINE_GREEN: "/desktop/meego/status_area/green_percentage_line"
    property string _LINE_BLUE: "/desktop/meego/status_area/blue_percentage_line"
    property string _LINE_RED_2: "/desktop/meego/status_area/red_percentage_line_2"
    property string _LINE_GREEN_2: "/desktop/meego/status_area/green_percentage_line_2"
    property string _LINE_BLUE_2: "/desktop/meego/status_area/blue_percentage_line_2"
    property string _LINE_RED_3: "/desktop/meego/status_area/red_percentage_line_3"
    property string _LINE_GREEN_3: "/desktop/meego/status_area/green_percentage_line_3"
    property string _LINE_BLUE_3: "/desktop/meego/status_area/blue_percentage_line_3"

    Component.onCompleted: {
        var displayPercentage = gconf.get(_DISPLAY_PERCENTAGE, false)
        percentageSwitch.checked = displayPercentage

        var displayNetwork = gconf.get(_DISPLAY_NETWORK, true)
        networkSwitch.checked = displayNetwork

        var displayPercentageLine = gconf.get(_DISPLAY_PERCENTAGE_LINE, true)
        lineSwitch.checked = displayPercentageLine

        var line1red = gconf.get(_LINE_RED, 60)
        redSlider.value = line1red

        var line1green = gconf.get(_LINE_GREEN, 200)
        greenSlider.value = line1green

        var line1blue = gconf.get(_LINE_BLUE, 255)
        blueSlider.value = line1blue

        var line2red = gconf.get(_LINE_RED_2, 120)
        redSlider2.value = line2red

        var line2green = gconf.get(_LINE_GREEN_2, 200)
        greenSlider2.value = line2green

        var line2blue = gconf.get(_LINE_BLUE_2, 255)
        blueSlider2.value = line2blue

        var line3red = gconf.get(_LINE_RED_3, 255)
        redSlider3.value = line3red

        var line3green = gconf.get(_LINE_GREEN_3, 40)
        greenSlider3.value = line3green

        var line3blue = gconf.get(_LINE_BLUE_3, 40)
        blueSlider3.value = line3blue

        var lineLevel1 = gconf.get(_LINE_LEVEL_1, 60)
        valueLevel2.value = lineLevel1

        var lineLevel2 = gconf.get(_LINE_LEVEL_2, 30)
        valueLevel3.value = lineLevel2
    }

    GConf {
        id: gconf
    }

    Column {
        id: content
        spacing: 10
        anchors.left: root.left
        anchors.right: root.right
        anchors.leftMargin: 16
        anchors.rightMargin: 16

        Separator {
            width: parent.width
            title: "Display items"
        }

        LabeledSwitch {
            id: percentageSwitch
            width: parent.width
            text: "Percentage"
            checked: false
            onCheckedChanged: {
                gconf.set(_DISPLAY_PERCENTAGE, checked)
            }
        }

        LabeledSwitch {
            id: networkSwitch
            width: parent.width
            text: "Operator name"
            checked: true
            onCheckedChanged: {
                gconf.set(_DISPLAY_NETWORK, checked)
            }
        }

        LabeledSwitch {
            id: lineSwitch
            width: parent.width
            text: "Percentage line"
            checked: true
            onCheckedChanged: {
                gconf.set(_DISPLAY_PERCENTAGE_LINE, checked)
            }
        }

        Separator {
            width: parent.width
            title: "Level 1"
            enabled: lineSwitch.checked
        }

        LabeledSlider {
            id: redSlider
            enabled: lineSwitch.checked
            width: parent.width
            text: "R:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color11-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_RED, value)
            }
        }

        LabeledSlider {
            id: greenSlider
            enabled: lineSwitch.checked
            width: parent.width
            text: "G:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color3-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_GREEN, value)
            }
        }

        LabeledSlider {
            id: blueSlider
            enabled: lineSwitch.checked
            width: parent.width
            text: "B:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color8-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_BLUE, value)
            }
        }

        Rectangle {
            id: colorRect
            enabled: lineSwitch.checked
            width: parent.width
            height: 20
            color: Qt.rgba(redSlider.value / 255, greenSlider.value / 255, blueSlider.value / 255, 1)
        }

        Separator {
            width: parent.width
            title: "Level 2"
            enabled: lineSwitch.checked
        }

        LabeledSlider {
            id: valueLevel2
            enabled: lineSwitch.checked
            width: parent.width
            text: "Level: " + value
            minimumValue: 0
            maximumValue: 100
            onValueChanged: {
                gconf.set(_LINE_LEVEL_1, value)
            }
        }

        LabeledSlider {
            id: redSlider2
            enabled: lineSwitch.checked
            width: parent.width
            text: "R:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color11-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_RED_2, value)
            }
        }

        LabeledSlider {
            id: greenSlider2
            enabled: lineSwitch.checked
            width: parent.width
            text: "G:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color3-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_GREEN_2, value)
            }
        }

        LabeledSlider {
            id: blueSlider2
            enabled: lineSwitch.checked
            width: parent.width
            text: "B:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color8-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_BLUE_2, value)
            }
        }

        Rectangle {
            id: colorRect2
            enabled: lineSwitch.checked
            width: parent.width
            height: 20
            color: Qt.rgba(redSlider2.value / 255, greenSlider2.value / 255, blueSlider2.value / 255, 1)
        }

        Separator {
            width: parent.width
            title: "Level 3"
            enabled: lineSwitch.checked
        }

        LabeledSlider {
            id: valueLevel3
            enabled: lineSwitch.checked
            width: parent.width
            text: "Level: " + value
            minimumValue: 0
            maximumValue: 100
            onValueChanged: {
                gconf.set(_LINE_LEVEL_2, value)
            }
        }

        LabeledSlider {
            id: redSlider3
            enabled: lineSwitch.checked
            width: parent.width
            text: "R:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color11-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_RED_3, value)
            }
        }

        LabeledSlider {
            id: greenSlider3
            enabled: lineSwitch.checked
            width: parent.width
            text: "G:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color3-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_GREEN_3, value)
            }
        }

        LabeledSlider {
            id: blueSlider3
            enabled: lineSwitch.checked
            width: parent.width
            text: "B:"
            sliderStyle: SliderStyle {
                grooveItemElapsedBackground: "image://theme/color8-meegotouch-slider-elapsed-inverted-background-horizontal"
            }
            minimumValue: 0
            maximumValue: 255
            onValueChanged: {
                gconf.set(_LINE_BLUE_3, value)
            }
        }

        Rectangle {
            id: colorRect3
            enabled: lineSwitch.checked
            width: parent.width
            height: 20
            color: Qt.rgba(redSlider3.value / 255, greenSlider3.value / 255, blueSlider3.value / 255, 1)
        }

        Rectangle {
            id: spacing
            width: 1
            height: 10
            color: "transparent"
        }
    }
}
