import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: root
    height: 60
    signal clicked
    signal pressed
    property alias text: label.text
    property alias iconSource: icon.source
    property bool forceHighlight: false
    property bool alignCenter: false

    Rectangle {
        anchors.fill: root
        opacity: 0.2
        color: mArea.pressed ? "#d0d0d0" : (root.forceHighlight ? "#c0c0c0" : "transparent")
        smooth: true
    }

    Image {
        id: icon
        width: 48
        height: 48
        smooth: true
        anchors.left: root.left
        anchors.leftMargin: 8
        anchors.verticalCenter: root.verticalCenter
    }

    Text {
        id: label
        font.pixelSize: 30
        color: mArea.pressed ? "white" : "white"
        anchors.left: icon.right
        anchors.leftMargin: 16
        anchors.right: root.right
        horizontalAlignment: root.alignCenter ? Text.AlignHCenter : Text.AlignLeft
        anchors.verticalCenter: root.verticalCenter
    }

    MouseArea {
        id: mArea
        anchors.fill: root
        onClicked: root.clicked()
        onPressed: root.pressed()
    }
}
